<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Безумные скачки'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_bar-zippo.jpg' /></div></center><link rel='stylesheet' href='style.css' type='text/css' /><dl class='mai2n'>";
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));

switch ($action){

default:
$x=mysql_query("SELECT * FROM `gorod_tbega` WHERE `last`=''");
$c=mysql_fetch_assoc($x);
if(mysql_num_rows($x)>=5){
$win=mt_rand(1,6);
$who=mysql_query("SELECT * FROM `gorod_tbega` WHERE `bet`='$win'");
while($row=mysql_fetch_assoc($who)){
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+5000 WHERE `nick`='".$row['name']."'");
};
mysql_query("DELETE FROM `gorod_tbega`");
mysql_query("INSERT INTO `gorod_tbega` (`last`)VALUES('$win')");
};
echo'<b>Время: '.date("H:i:s").'</b><br/>';
echo'Любишь скачки? <br/>';
echo 'Участвуй в безумных скачках! <br/> Выигрывай лёгкие деньги! <br/>';
echo 'Крупные ставки по 1000!<br/><br/>';
echo 'Наши лошади:<br/>';
echo '1.Бешеный<br/>';
echo '2.Стрелка<br/>';
echo '3.Белка<br/>';
echo '4.Крэзи<br/>';
echo '5.Джони пони<br/>';
echo '6.Барышка-бегун<br/>';
$n=mysql_query("SELECT * FROM `gorod_tbega` WHERE `last`!=''");
$n=mysql_fetch_assoc($n);

echo'<font color="red">В предыдущих скачках победил: №'.$n['last'].'</font><br/>';
echo 'Кол-во ставок :<font color="gold"> '.mysql_num_rows($x).'</font><br/>';
echo 'Скачки начнутся когда будет 5 ставок!<br/>';
echo'<br/>Введите номер лошади от 1 до 6 ';
echo '<br/><form action="bega.php?action=bilet" method="post">';
echo '<input name="bilet"/><br/>';
echo '<input type="submit" value="Ставить!!!"/>';
echo '</form>';
echo'Ставка равна 1000 зеленых<br/>';
echo'У вас: '.$user['gorod_money'].'<br/>';
break;


case 'bilet':
if($user['gorod_money']>1000){
$x=mysql_query("SELECT * FROM `gorod_tbega` WHERE `name`='".$user['nick']."'");
if(!mysql_num_rows($x)){
$bet=(int)$_POST['bilet'];
if(!$bet || $bet>6 || $bet<0){echo 'Не правильная ставка!';break;};
mysql_query("INSERT INTO `gorod_tbega` (`name`,`bet`)VALUES('".$user['nick']."','$bet')");
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-1000 WHERE `id`='".$user['id']."'");
echo'<b>Ставки сделаны! Скачки начнутся при наличии пяти ставок!</b><br/>';
echo'Результат станет известным после того, как ставки сделают 5 участников!<br/>';
echo'<br/>У вас: '.$user['gorod_money'].'<br/>';
}else{
echo'Вы уже сделали ставку! Нельзя ставить дважды, это противоречит правилам!<br/>';};
}else{
echo'Вы не можете играть на скачках, у вас недостаточно зелени!<br/>';
};
echo '<dl class="mai2n">
<dt></dt>
<b><a href="bega.php"><dt><img src="skr/011.png" />Вернуться к скачкам</dt></a></b>
</TABLE></div>
';

break;







};
echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{echo '<div class="msg">Игра закрыта администратором!</div>';};

}else{
echo '<div class="msg">Игра доступена только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>